# Class PatternMatcher

java.lang.Object
org.jmol.util.PatternMatcher

public class PatternMatcher extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PatternMatcher.JSPattern`
Super-simplified for JavaScript

## Constructor Summary

Constructors
Constructor
Description
`PatternMatcher()`

## Method Summary

Modifier and Type
Method
Description
`Pattern`
`compile(String regex, boolean isCaseInsensitive)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PatternMatcher

public PatternMatcher()

## Method Details

### compile

public Pattern compile(String regex, boolean isCaseInsensitive)